## org.omg.CORBA
Class CompletionStatusHelper

    java.lang.Object
      |
      +--org.omg.CORBA.CompletionStatusHelper

public class CompletionStatusHelper
extends java.lang.Object

Helper class for : CompletionStatus

Author:
  OpenORB Compiler

Constructor Summary
`CompletionStatusHelper()`

Method Summary
`static CompletionStatus` `extract(Any a)` Extract CompletionStatus from an any
`static java.lang.String` `id()` Return the CompletionStatus IDL ID
`static void` `insert(Any a, CompletionStatus t)` Insert CompletionStatus into an any
`static CompletionStatus` `read(InputStream istream)` Read CompletionStatus from a marshalled stream
`static TypeCode` `type()` Return the CompletionStatus TypeCode
`static void` `write(OutputStream ostream, CompletionStatus value)` Write CompletionStatus into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompletionStatusHelper

    public CompletionStatusHelper()

Method Detail

### insert

    public static void insert(Any a,
                              CompletionStatus t)

  Insert CompletionStatus into an any
  Parameters:
    `a` - an any
    `t` - CompletionStatus value

### extract

    public static CompletionStatus extract(Any a)

  Extract CompletionStatus from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CompletionStatus value

### type

    public static TypeCode type()

  Return the CompletionStatus TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CompletionStatus IDL ID
  Returns:
    an ID

### read

    public static CompletionStatus read(InputStream istream)

  Read CompletionStatus from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CompletionStatus value

### write

    public static void write(OutputStream ostream,
                             CompletionStatus value)

  Write CompletionStatus into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CompletionStatus value